/*
 * Copyright (C) 2017-2019 Alibaba Group Holding Limited
 */

/******************************************************************************
 * @file     weak.c
 * @brief    source file for the weak
 * @version  V1.0
 * @date     04. April 2019
 ******************************************************************************/

#include <csi_config.h>
#include <soc.h>

__attribute__((weak)) void soc_dcache_clean_invalid_range(uint32_t addr, uint32_t size)
{
}

__attribute__((weak)) void soc_dcache_clean_invalid_all(void)
{
}

__attribute__((weak)) void soc_dcache_invalid_range(uint32_t addr, uint32_t size)
{
}

__attribute__((weak)) uint32_t soc_dma_address_remap(uint32_t addr)
{
    return addr;
}
